Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.server
Interface Authentication.User

All Superinterfaces:
  Authentication

All Known Implementing Classes:
  FormAuthenticator.FormAuthentication, SessionAuthentication, UserAuthentication

Enclosing interface:
  Authentication

    public static interface Authentication.User

extends Authentication

A successful Authentication with User information.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.jetty.server.Authentication
`Authentication.Challenge, Authentication.Deferred, Authentication.Failure, Authentication.ResponseSent, Authentication.SendSuccess, Authentication.User, Authentication.Wrapped`

Field Summary

Fields inherited from interface org.eclipse.jetty.server.Authentication
`NOT_CHECKED, SEND_CONTINUE, SEND_FAILURE, SEND_SUCCESS, UNAUTHENTICATED`

Method Summary
`java.lang.String` | `getAuthMethod()`
`UserIdentity` | `getUserIdentity()`
`boolean` | `isUserInRole(UserIdentity.Scope scope, java.lang.String role)`
`void` | `logout()`

Method Detail

### getAuthMethod

    java.lang.String getAuthMethod()

### getUserIdentity

    UserIdentity getUserIdentity()

### isUserInRole

    boolean isUserInRole(UserIdentity.Scope scope,
                         java.lang.String role)

### logout

    void logout()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.